Upgrade A Sentinel

Upgrade A Sentinel
Performs a POST operation on a specific sentinel.

Performs a POST operation on a specific sentinel.

Request
URI
POST
https://{server}/hybridity/api/sentinels/{sentinelId}/upgrade
COPY
Path Parameters
string
sentinelId
Required

Unique ID of the sentinel


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns sentinelsResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "sentinelId": "string",
            "message": "Unable to upgrade. Source system is disconnected."
        }
    ],
    "messages": [
        {
            "code": "string",
            "sentinelId": "string",
            "message": "Sentinel is already on the latest version."
        }
    ]
}
array of object
errors
Optional

Provides detail errors.

array of object
messages
Optional

Provides informational messages.


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns errorResponse of type(s) application/json
"errorResponse Object"
array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
"errorResponse Object"
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/hybridity/api/sentinels/{sentinelId}/upgrade